{
  "distSpecVersion": "1.1.0",
  "storage": {
    "rootDirectory": "/var/lib/zot",
    "gc": true,
    "dedupe": true
  },
  "http": {
    "address": "0.0.0.0",
    "port": "5000"
  },
  "extensions": {
    "sync": {
      "enable": true,
      "credentialsFile": "/etc/zot/creds.json",
      "registries": [
        {
          "urls": [
            "https://registry-1.docker.io"
          ],
          "onDemand": true,
          "tlsVerify": true,
          "content": [
            {
              "prefix": "**",
              "destination": "/docker-hub",
              "stripPrefix": false
            }
          ]
        },
        {
          "urls": [
            "https://ghcr.io"
          ],
          "onDemand": true,
          "tlsVerify": true,
          "content": [
            {
              "prefix": "**",
              "destination": "/ghcr",
              "stripPrefix": false
            }
          ]
        },
        {
          "urls": [
            "https://lscr.io"
          ],
          "onDemand": true,
          "tlsVerify": true,
          "content": [
            {
              "prefix": "**",
              "destination": "/lscr",
              "stripPrefix": false
            }
          ]
        },
        {
          "urls": [
            "https://codeberg.org"
          ],
          "onDemand": true,
          "tlsVerify": true,
          "content": [
            {
              "prefix": "**",
              "destination": "/codeberg",
              "stripPrefix": false
            }
          ]
        }
      ]
    },
    "ui": {
      "enable": true
    },
    "search": {
      "enable": true
    }
  }
}